OpenNMS API 1.2.9

## org.opennms.protocols.dns
Class DNSAddressRR

    java.lang.Object
      org.opennms.protocols.dns.DNSAddressRR

public final class DNSAddressRR
extends java.lang.Object

Holds a DNS resource record which is a DNS response that gives the IP address of a particular hostname. A resource record typically has:

| Element | Description
Name | Domain name that the resource record describes.
Type | Type of RR.
Class | RR Class.
TTL | Time-To-Live for the RR.
RDLEN | Length of the following data.
Data | Actual data of this RR.

Author:
  Sowmya , OpenNMS

Field Summary
`private int[]` `ipAddress` The IP Address for the Route Record.
`private int` `m_class` Class of this RR.
`private long` `m_created` Time at which this RR was created.
`private java.lang.String` `m_name` Name of this RR.
`private long` `m_TTL` Time to live for this RR.
`private int` `m_type` Type of this RR.

Constructor Summary
`DNSAddressRR(java.lang.String name, int type, int clas, long ttl, DNSInputStream dnsIn)` Constructs an new DNS Address Resource Record with the specified information.

Method Summary
`private java.lang.String` `AddressToByteString()` Returns the address in the dotted decimal format.
`byte[]` `getAddress()` Returns the address from the address record as a byte array.
`java.net.InetAddress` `getInetAddress()` the InetAddress of the address contained for the record.
`int` `getRRClass()` Returns the class of this RR.
`java.lang.String` `getRRName()` Returns the name of this RR.
`long` `getRRTTL()` Returns the TTL of this RR.
`int` `getRRType()` Returns the type of this RR.
`boolean` `isValid()` Returns true if still valid i.e.
`java.lang.String` `toString()` Converts the object to a textual string that describes the resource record.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_name

    private java.lang.String m_name

  Name of this RR.

### m_type

    private int m_type

  Type of this RR.

### m_class

    private int m_class

  Class of this RR.

### m_TTL

    private long m_TTL

  Time to live for this RR.

### m_created

    private long m_created

  Time at which this RR was created.

### ipAddress

    private int[] ipAddress

  The IP Address for the Route Record.

Constructor Detail

### DNSAddressRR

    public DNSAddressRR(java.lang.String name,
                        int type,
                        int clas,
                        long ttl,
                        DNSInputStream dnsIn)
                 throws java.io.IOException

  Constructs an new DNS Address Resource Record with the specified information.

Parameters:
  `name` - name of the RR
  `type` - type of the RR
  `clas` - class of the RR
  `ttl` - time for which this RR is valid
  `dnsIn` - inputstream for this RR
Throws:
  `java.io.IOException` - Thrown if an error occurs decoding data from the passed DNSInputStream.

Method Detail

### AddressToByteString

    private java.lang.String AddressToByteString()

  Returns the address in the dotted decimal format.

  Returns:
    The address in the dotted decimal format.

### getAddress

    public byte[] getAddress()

  Returns the address from the address record as a byte array.

  Returns:
    The address as a byte array.

### getInetAddress

    public java.net.InetAddress getInetAddress()
                                        throws java.net.UnknownHostException

  the InetAddress of the address contained for the record.

  Returns:
    The InetAddress of the address
  Throws:
    `java.net.UnknownHostException` - Thrown if the InetAddress object cannot be constructed.

### toString

    public java.lang.String toString()

  Converts the object to a textual string that describes the resource record.

  Returns:
    The string describing the object.

### getRRName

    public java.lang.String getRRName()

  Returns the name of this RR.

  Returns:
    The name of this RR.

### getRRType

    public int getRRType()

  Returns the type of this RR.

  Returns:
    The type of this RR.

### getRRClass

    public int getRRClass()

  Returns the class of this RR.

  Returns:
    The class of this RR.

### getRRTTL

    public long getRRTTL()

  Returns the TTL of this RR.

  Returns:
    the TTL of this RR

### isValid

    public boolean isValid()

  Returns true if still valid i.e. TTL has not expired.

  Returns:
    True if valid, false if not.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.